TS_PACKET_INSERT(1)

NAME
ts_packet_insert - insert packets into a Transport Stream

DESCRIPTION

  Usage:

    ts_packet_insert [switches] <infile> [switches]

    Insert TS packets into a Transport Stream at a positions specified by the user.

  Input:

<infile>
    A H.222.0 TS stream.

  Switches:

-p [positions]
    This a a colon (':') delimited string of numbers between 0 and 1, representing how far through to put each ts packet. E.g. -p 0.1:0.4:0.7:0.9 will insert 4 packets at 10%, 40%, 70% and 90% through the file.

-pid [pid]
    The inserted packets will have the pid specfied.

-s [string]
    The inserted packets will contain [string] as it's payload.

-o [output file] The new TS file will be written out to the file
    specified. (defaults to out.ts)

-h (--help)
    This message.

  Example:

    ts_packet_insert -p 0.3:0.6 -o out.ts -pid 89 -s "AD=start" in.ts

    ts_packet_insert [switches] <infile> [switches]

    Insert TS packets into a Transport Stream at a positions specified by the user.

  Input:

<infile>
    A H.222.0 TS stream.

  Switches:

-p [positions]
    This a a colon (':') delimited string of numbers between 0 and 1, representing how far through to put each ts packet. E.g. -p 0.1:0.4:0.7:0.9 will insert 4 packets at 10%, 40%, 70% and 90% through the file.

-pid [pid]
    The inserted packets will have the pid specfied.

-s [string]
    The inserted packets will contain [string] as it's payload.

-o [output file] The new TS file will be written out to the file
    specified. (defaults to out.ts)

-h (--help)
    This message.

  Example:

    ts_packet_insert -p 0.3:0.6 -o out.ts -pid 89 -s "AD=start" in.ts

SEE ALSO
The full documentation for ts_packet_insert is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.